<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cs_header"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:paddingStart="25dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <View
            android:id="@+id/view_status_bar"
            android:layout_width="match_parent"
            android:layout_height="1px"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_teacher_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:includeFontPadding="false"
            android:text="您好"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_22"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_status_bar"
            tools:text="您好,李老师" />

        <ImageView
            android:id="@+id/iv_vip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="6dp"
            android:layout_marginBottom="2dp"
            android:src="@drawable/icon_vip_enable"
            app:layout_constraintBottom_toBottomOf="@+id/tv_teacher_name"
            app:layout_constraintLeft_toRightOf="@+id/tv_teacher_name" />

        <ImageView
            android:id="@+id/iv_scan"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="12dp"
            android:src="@drawable/icon_scan_for_teacher"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="@+id/tv_teacher_name"
            app:layout_constraintRight_toLeftOf="@+id/im_message"
            app:layout_constraintTop_toTopOf="@+id/tv_teacher_name" />

        <ImageView
            android:id="@+id/im_message"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="@dimen/dp_17"
            android:padding="8dp"
            android:src="@drawable/icon_top_message"
            app:layout_constraintBottom_toBottomOf="@+id/tv_teacher_name"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/tv_teacher_name" />

        <View
            android:id="@+id/view_unread_message"
            android:layout_width="@dimen/dp_7"
            android:layout_height="@dimen/dp_7"
            android:layout_marginTop="6dp"
            android:layout_marginRight="6dp"
            android:background="@drawable/bg_red_ovil"
            android:visibility="gone"
            app:layout_constraintRight_toRightOf="@+id/im_message"
            app:layout_constraintTop_toTopOf="@+id/im_message"
            tools:visibility="visible" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/refreshLayout"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cs_header"
        app:srlEnableLoadMore="false">

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:overScrollMode="never"
            android:scrollbars="none"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/cs_header">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="20dp">

                <View
                    android:id="@+id/top_view_bg"
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:background="@color/white"
                    app:layout_constraintBottom_toBottomOf="@+id/top_help_line"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_score_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="25dp"
                    android:layout_marginTop="2dp"
                    android:text="评分"
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/sp_12"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <RatingBar
                    android:id="@+id/rating_bar"
                    style="@style/HomeRatingBar"
                    android:layout_width="wrap_content"
                    android:layout_height="19dp"
                    android:layout_marginStart="4dp"
                    android:numStars="5"
                    android:rating="0"
                    android:stepSize="1"
                    android:visibility="visible"
                    app:layout_constraintBottom_toBottomOf="@+id/tv_score_name"
                    app:layout_constraintLeft_toRightOf="@+id/tv_score_name"
                    app:layout_constraintTop_toTopOf="@+id/tv_score_name" />


                <ImageView
                    android:id="@+id/iv_style_badge"
                    android:layout_width="23dp"
                    android:layout_height="23dp"
                    android:layout_marginStart="25dp"
                    android:layout_marginTop="23dp"
                    android:background="@drawable/icon_style_badge_new_enable"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/rating_bar" />

                <ImageView
                    android:id="@+id/iv_video_badge"
                    android:layout_width="23dp"
                    android:layout_height="23dp"
                    android:layout_marginStart="6dp"
                    android:background="@drawable/icon_video_badge_new_enable"
                    app:layout_constraintBottom_toBottomOf="@+id/iv_style_badge"
                    app:layout_constraintLeft_toRightOf="@+id/iv_style_badge"
                    app:layout_constraintTop_toTopOf="@+id/iv_style_badge" />


                <ImageView
                    android:id="@+id/iv_live_badge"
                    android:layout_width="24dp"
                    android:layout_height="23dp"
                    android:layout_marginStart="6dp"
                    android:background="@drawable/icon_live_badge_new_enable"
                    app:layout_constraintBottom_toBottomOf="@+id/iv_video_badge"
                    app:layout_constraintLeft_toRightOf="@+id/iv_video_badge"
                    app:layout_constraintTop_toTopOf="@+id/iv_video_badge" />


                <ImageView
                    android:id="@+id/iv_album_badge"
                    android:layout_width="23dp"
                    android:layout_height="23dp"
                    android:layout_marginStart="6dp"
                    android:background="@drawable/icon_album_badge_new_enable"
                    app:layout_constraintBottom_toBottomOf="@+id/iv_live_badge"
                    app:layout_constraintLeft_toRightOf="@+id/iv_live_badge"
                    app:layout_constraintTop_toTopOf="@+id/iv_live_badge" />

                <View
                    android:id="@+id/view_badge"
                    android:layout_width="0dp"
                    android:layout_height="25dp"
                    app:layout_constraintBottom_toBottomOf="@+id/iv_style_badge"
                    app:layout_constraintLeft_toLeftOf="@+id/iv_style_badge"
                    app:layout_constraintRight_toRightOf="@+id/iv_album_badge"
                    app:layout_constraintTop_toTopOf="@+id/iv_style_badge" />

                <TextView
                    android:id="@+id/tv_medal_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:includeFontPadding="false"
                    android:text="勋章"
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintBottom_toBottomOf="@+id/iv_album_badge"
                    app:layout_constraintLeft_toRightOf="@+id/iv_album_badge"
                    app:layout_constraintTop_toTopOf="@+id/iv_album_badge" />


                <TextView
                    android:id="@+id/tv_medal_value"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="6dp"
                    android:includeFontPadding="false"
                    android:text="0/4"
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/sp_14"
                    app:layout_constraintBottom_toBottomOf="@+id/tv_medal_name"
                    app:layout_constraintLeft_toRightOf="@+id/tv_medal_name"
                    app:layout_constraintTop_toTopOf="@+id/tv_medal_name" />

                <ImageView
                    android:id="@+id/iv_cert"
                    android:layout_width="wrap_content"
                    android:layout_height="30dp"
                    android:layout_marginEnd="25dp"
                    android:adjustViewBounds="true"
                    android:clickable="false"
                    android:src="@drawable/icon_home_un_certification"
                    app:layout_constraintBottom_toBottomOf="@+id/iv_style_badge"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="@+id/iv_style_badge" />

                <TextView
                    android:visibility="gone"
                    android:id="@+id/tv_cert_fail_tip"
                    app:layout_constraintCircleAngle="58"
                    app:layout_constraintCircleRadius="35dp"
                    app:layout_constraintCircle="@+id/iv_cert"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_10"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/bg_red_8dp_border_1dp"
                    android:gravity="center"
                    android:paddingStart="7dp"
                    android:paddingTop="1dp"
                    android:paddingEnd="7dp"
                    android:paddingBottom="1dp"
                    android:text="认证失败" />

                <View
                    android:id="@+id/view_cert_red_point"
                    android:layout_width="8dp"
                    android:layout_height="8dp"
                    android:background="@drawable/shape_red_point"
                    android:visibility="gone"
                    app:layout_constraintRight_toRightOf="@+id/iv_cert"
                    app:layout_constraintTop_toTopOf="@+id/iv_cert" />

                <View
                    android:id="@+id/top_help_line"
                    android:layout_width="1px"
                    android:layout_height="1px"
                    android:layout_marginTop="17dp"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/iv_cert" />

                <com.youth.banner.Banner
                    android:id="@+id/banner"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_132"
                    android:layout_marginLeft="@dimen/dp_14"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_14"
                    android:descendantFocusability="blocksDescendants"
                    app:banner_indicator_gravity="right"
                    app:banner_indicator_height="5dp"
                    app:banner_indicator_marginBottom="8dp"
                    app:banner_indicator_marginRight="12dp"
                    app:banner_indicator_normal_color="@color/white"
                    app:banner_indicator_normal_width="5dp"
                    app:banner_indicator_selected_color="@color/white"
                    app:banner_indicator_selected_width="12dp"
                    app:banner_radius="10dp"
                    app:layout_constraintTop_toBottomOf="@+id/top_view_bg" />

                <androidx.cardview.widget.CardView
                    android:id="@+id/bg_announcement"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="14dp"
                    android:layout_marginTop="@dimen/dp_12"
                    android:layout_marginEnd="14dp"
                    android:visibility="gone"
                    app:cardBackgroundColor="@color/white"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="0dp"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/banner">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <ImageView
                            android:id="@+id/iv_bell"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="6dp"
                            android:src="@drawable/icon_home_bell"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/tv_notice_content"
                            android:layout_width="wrap_content"
                            android:layout_height="44dp"
                            android:layout_marginStart="7dp"
                            android:gravity="center"
                            android:includeFontPadding="false"
                            android:textColor="@color/color_1a1a1a"
                            android:textSize="@dimen/sp_14"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintLeft_toRightOf="@+id/iv_bell"
                            app:layout_constraintTop_toTopOf="parent"
                            tools:text="网络教室升级公告" />

                        <ImageView
                            android:id="@+id/im_notice_list"
                            android:layout_width="@dimen/dp_38"
                            android:layout_height="@dimen/dp_38"
                            android:layout_marginRight="@dimen/dp_1"
                            android:padding="@dimen/dp_10"
                            android:src="@drawable/icon_calendar_next_month"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintRight_toRightOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />
                    </androidx.constraintlayout.widget.ConstraintLayout>
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/fl_top_menu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="14dp"
                    android:layout_marginTop="12dp"
                    android:layout_marginEnd="14dp"
                    android:visibility="visible"
                    app:cardBackgroundColor="@color/white"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="0dp"
                    app:cardPreventCornerOverlap="true"
                    app:cardUseCompatPadding="false"
                    app:layout_constraintTop_toBottomOf="@+id/bg_announcement">

                    <androidx.viewpager.widget.ViewPager
                        android:id="@+id/viewpager_menu"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_90"
                        android:overScrollMode="never"
                        android:scrollbars="none" />
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/bg_announcement2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="14dp"
                    android:layout_marginTop="@dimen/dp_12"
                    android:layout_marginEnd="14dp"
                    android:visibility="gone"
                    app:cardBackgroundColor="@color/white"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="0dp"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/fl_top_menu">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <ImageView
                            android:id="@+id/iv_bell2"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="6dp"
                            android:src="@drawable/icon_home_bell"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/tv_notice_content2"
                            android:layout_width="wrap_content"
                            android:layout_height="44dp"
                            android:layout_marginStart="7dp"
                            android:gravity="center"
                            android:includeFontPadding="false"
                            android:textColor="@color/color_1a1a1a"
                            android:textSize="@dimen/sp_14"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintLeft_toRightOf="@+id/iv_bell2"
                            app:layout_constraintTop_toTopOf="parent"
                            tools:text="网络教室升级公告" />

                        <ImageView
                            android:id="@+id/im_notice_list2"
                            android:layout_width="@dimen/dp_38"
                            android:layout_height="@dimen/dp_38"
                            android:layout_marginRight="@dimen/dp_1"
                            android:padding="@dimen/dp_10"
                            android:src="@drawable/icon_calendar_next_month"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintRight_toRightOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />
                    </androidx.constraintlayout.widget.ConstraintLayout>
                </androidx.cardview.widget.CardView>


                <androidx.cardview.widget.CardView
                    android:id="@+id/fl_course_enter"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="14dp"
                    android:layout_marginTop="24dp"
                    android:layout_marginEnd="14dp"
                    android:visibility="gone"
                    app:cardBackgroundColor="@color/white"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="0dp"
                    app:cardPreventCornerOverlap="true"
                    app:cardUseCompatPadding="false"
                    app:layout_constraintTop_toBottomOf="@+id/bg_announcement2">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="70dp">

                        <TextView
                            android:id="@+id/tv_live_title"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="128dp"
                            android:includeFontPadding="false"
                            android:text="您有新课程即将开始"
                            android:textColor="@color/color_1a1a1a"
                            android:textSize="@dimen/sp_16"
                            app:layout_constraintBottom_toTopOf="@+id/alarm_icon"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            app:layout_constraintVertical_chainStyle="packed" />

                        <ImageView
                            android:id="@+id/alarm_icon"
                            android:layout_width="@dimen/dp_15"
                            android:layout_height="@dimen/dp_15"
                            android:layout_marginTop="10dp"
                            android:src="@mipmap/small_alarm_clock"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintLeft_toLeftOf="@+id/tv_live_title"
                            app:layout_constraintTop_toBottomOf="@+id/tv_live_title" />


                        <TextView
                            android:id="@+id/tv_live_time"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_1"
                            android:layout_marginBottom="@dimen/dp_5"
                            android:paddingStart="5dp"
                            android:textColor="@color/color_FF806F"
                            android:textSize="@dimen/sp_13"
                            app:layout_constraintBottom_toBottomOf="@+id/alarm_icon"
                            app:layout_constraintLeft_toRightOf="@+id/alarm_icon"
                            app:layout_constraintTop_toTopOf="@+id/alarm_icon"
                            tools:text="今日 16:30-17:05" />


                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="11dp"
                            android:src="@drawable/icon_arrow_right_bg_tran"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintRight_toRightOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                    </androidx.constraintlayout.widget.ConstraintLayout>
                </androidx.cardview.widget.CardView>


                <com.airbnb.lottie.LottieAnimationView
                    android:id="@+id/iv_course_enter_anim"
                    android:layout_width="128dp"
                    android:layout_height="91dp"
                    android:visibility="gone"
                    app:layout_constraintBottom_toBottomOf="@+id/fl_course_enter"
                    app:layout_constraintLeft_toLeftOf="@+id/fl_course_enter"
                    app:lottie_autoPlay="true"
                    app:lottie_loop="true" />

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/cl_hot_album"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_18"
                    android:visibility="visible"
                    app:layout_constraintTop_toBottomOf="@+id/fl_course_enter">

                    <View
                        android:id="@+id/tv_hot_album_line"
                        android:layout_width="4dp"
                        android:layout_height="17dp"
                        android:layout_marginStart="25dp"
                        android:background="@drawable/shape_course_title_tag_bg"
                        app:layout_constraintBottom_toBottomOf="@+id/tv_hot_album"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/tv_hot_album" />

                    <TextView
                        android:id="@+id/tv_hot_album"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_6"
                        android:gravity="center"
                        android:text="热门专辑"
                        android:textColor="@color/color_333333"
                        android:textSize="@dimen/sp_18"
                        android:textStyle="bold"
                        app:layout_constraintLeft_toRightOf="@+id/tv_hot_album_line"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_hot_album_more"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="@dimen/dp_14"
                        android:background="@drawable/shape_f2f2f2_9dp"
                        android:drawableEnd="@drawable/icon_next_right"
                        android:drawablePadding="1dp"
                        android:gravity="center"
                        android:paddingStart="7dp"
                        android:paddingTop="2dp"
                        android:paddingEnd="3dp"
                        android:paddingBottom="2dp"
                        android:text="更多"
                        android:textColor="@color/color_999999"
                        android:textSize="@dimen/sp_12"
                        app:layout_constraintBottom_toBottomOf="@+id/tv_hot_album"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/tv_hot_album" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_hot_album"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="12dp"
                        android:overScrollMode="never"
                        android:paddingLeft="@dimen/dp_14"
                        android:scrollbars="none"
                        app:layout_constraintTop_toBottomOf="@+id/tv_hot_album" />

                </androidx.constraintlayout.widget.ConstraintLayout>


                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/cl_hot_track"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_18"
                    android:visibility="visible"
                    app:layout_constraintTop_toBottomOf="@+id/cl_hot_album">

                    <View
                        android:id="@+id/tv_hot_track_line"
                        android:layout_width="4dp"
                        android:layout_height="17dp"
                        android:layout_marginStart="25dp"
                        android:background="@drawable/shape_course_title_tag_bg"
                        app:layout_constraintBottom_toBottomOf="@+id/tv_hot_track"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/tv_hot_track" />

                    <TextView
                        android:id="@+id/tv_hot_track"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_6"
                        android:gravity="center"
                        android:text="热门曲目"
                        android:textColor="@color/color_333333"
                        android:textSize="@dimen/sp_18"
                        android:textStyle="bold"
                        app:layout_constraintLeft_toRightOf="@+id/tv_hot_track_line"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_hot_track_more"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="@dimen/dp_14"
                        android:background="@drawable/shape_f2f2f2_9dp"
                        android:drawableEnd="@drawable/icon_next_right"
                        android:drawablePadding="1dp"
                        android:gravity="center"
                        android:paddingStart="7dp"
                        android:paddingTop="2dp"
                        android:paddingEnd="3dp"
                        android:paddingBottom="2dp"
                        android:text="更多"
                        android:textColor="@color/color_999999"
                        android:textSize="@dimen/sp_12"
                        app:layout_constraintBottom_toBottomOf="@+id/tv_hot_track"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/tv_hot_track" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_hot_track"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="12dp"
                        android:overScrollMode="never"
                        android:paddingLeft="@dimen/dp_14"
                        android:scrollbars="none"
                        app:layout_constraintTop_toBottomOf="@+id/tv_hot_track" />

                </androidx.constraintlayout.widget.ConstraintLayout>
            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.core.widget.NestedScrollView>
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>
</androidx.constraintlayout.widget.ConstraintLayout>